import Vue from 'vue'
import App from './App.vue'
import router from './router'
import qs from 'qs';

import jsCookie from 'js-cookie'

/* 全局安装[通用组件] */
import Layout from '@/components/layout'

import Constants from '@/constants/constants'

/* 全局安装[过滤器] */
import './filters'

import './plugins'


import VueQuillEditor from 'vue-quill-editor'
import 'quill/dist/quill.core.css'
import 'quill/dist/quill.snow.css'
import 'quill/dist/quill.bubble.css'


/* 进度条(网络请求、页面路由切换) */
import NProgress from 'nprogress'
import 'nprogress/nprogress.css'
NProgress.configure({
  easing: 'ease', // 动画方式
  speed: 500, // 递增进度条的速度
  showSpinner: false, // 是否显示加载ico
  trickleSpeed: 200, // 自动递增间隔
  minimum: 0.3 // 初始化时的最小百分比
})

Vue.config.productionTip = false
Vue.prototype.constants = Constants
Vue.prototype.$cookie = jsCookie

Vue.use(VueQuillEditor)

Vue.use(Layout)

new Vue({
  router,
  render: h => h(App)
}).$mount('#app')
